<?xml version="1.0" encoding="utf-8"?>
<s:TitleWindow xmlns:fx="http://ns.adobe.com/mxml/2009" 
			   xmlns:s="library://ns.adobe.com/flex/spark" 
			   xmlns:ui="library://ns.adobe.com/flex/ui" 
			   xmlns:mx="library://ns.adobe.com/flex/mx" 
			   xmlns:components="br.com.dclick.components.*"
			   close="titlewindowCloseHandler(event)" 
			   creationComplete="creationCompleteHandler(event)" 
			   title="Pesquisa de Duplicata" 
			   xmlns:visual="br.com.desenv.framework.component.visual.*" 
			   xmlns:autoComplete="br.com.desenv.framework.component.visual.autoComplete.*"
			   width="970" >
	
	<fx:Style source="../../../framework/util/estilo.css"/>
	
	
	<fx:Metadata>
		[Event(name="DuplicataSelecionadoEvent")]
	</fx:Metadata>
	
	<fx:Script>
		<![CDATA[
			import flash.net.navigateToURL;
			
			import mx.collections.ArrayCollection;
			import mx.controls.Alert;
			import mx.controls.DateField;
			import mx.core.FlexGlobals;
			import mx.events.CloseEvent;
			import mx.events.FlexEvent;
			import mx.formatters.DateFormatter;
			import mx.managers.PopUpManager;
			import mx.rpc.events.FaultEvent;
			import mx.rpc.events.ResultEvent;
			import mx.rpc.remoting.mxml.RemoteObject;
			import mx.validators.Validator;
			
			import br.com.desenv.nepalign.vo.Cliente;
			import br.com.desenv.nepalign.vo.Duplicata;
			import br.com.desenv.nepalign.vo.Impressora;
			import br.com.desenv.nepalign.vo.Page;
			import br.net.upcode.framework.amf.AMFConnector;
			import br.net.upcode.framework.popup.UPCPopUpManager;
			import br.com.desenv.framework.util.DsvObjectUtil;
			import mx.core.FlexGlobals;;
			
			[Bindable]
			public var listaDuplicata: ArrayCollection = new ArrayCollection();
			private var pageNumber: int = 1;
			private var totalRecords: int;
			private var pageSize: int = 10;
			private var lastPage: int = 1;
			
			[Bindable]
			private var listaClientePesquisa: ArrayCollection = new ArrayCollection();
			[Bindable]
			private var listaUsuarioPesquisa: ArrayCollection = new ArrayCollection();
			[Bindable]
			private var listaEmpresaFisicaPesquisa: ArrayCollection = new ArrayCollection();
			[Bindable]
			private var listaVendedorPesquisa: ArrayCollection = new ArrayCollection();
			
			private var cliente: Cliente;
			
			private var duplicataComponenteDetalhe: DuplicataComponenteDetalhe;
			
			[Bindable]
			private var listaValidadorForm: Array = new Array();
			
			// ---------------------------------- FUNCOES DE INICIALIZACAO E FINALIZACAO --------------------------------			
			private function validar(event: MouseEvent):Boolean 
			{
				var listaErroValidador:Array = Validator.validateAll(this.listaValidadorForm);
				var validado:Boolean = listaErroValidador.length == 0;
				return validado;
			}
			
			// Indica todas as validacoes necessarias
			private function carregarListaValidacao(): void
			{
				//implemente aqui outros validadores se necessario
			}
			
			private function montarObjetoFiltro(): Duplicata
			{
				var duplicataFiltro: Duplicata = new Duplicata();
				
				duplicataFiltro.empresaFisica = ignComboBoxAutoCompleteEmpresaFisicaPesquisa.selectedItem; 
				duplicataFiltro.cliente = dsvCliente.cliente as Cliente;					
				duplicataFiltro.usuario = ignComboBoxAutoCompleteUsuarioPesquisa.selectedItem; 
				duplicataFiltro.vendedor = ignComboBoxAutoCompleteVendedorPesquisa.selectedItem; 
				duplicataFiltro.numeroDuplicata =  ignTextInputIntegerNumeroDuplicataPesquisa.text == ""?null:parseInt(ignTextInputIntegerNumeroDuplicataPesquisa.text);
				duplicataFiltro.dataCompra = ignTextInputDateDataCompraPesquisa.text == ""?null:DateField.stringToDate(ignTextInputDateDataCompraPesquisa.text, "DD/MM/YYYY");
				duplicataFiltro.numeroNotaFiscal = ignTextInputNumeroNotaFiscalPesquisa.text == ""?null:ignTextInputNumeroNotaFiscalPesquisa.text;
				duplicataFiltro.valorTotalCompra =  ignTextInputDoubleValorTotalCompraPesquisa.text == ""?null:parseFloat(ignTextInputDoubleValorTotalCompraPesquisa.text);
				duplicataFiltro.dataVencimentoPrimeiraPrestacao = ignTextInputDateDataVencimentoPrimeiraPrestacaoPesquisa.text == ""?null:DateField.stringToDate(ignTextInputDateDataVencimentoPrimeiraPrestacaoPesquisa.text, "DD/MM/YYYY");
				duplicataFiltro.valorEntrada =  ignTextInputDoubleValorEntradaPesquisa.text == ""?null:parseFloat(ignTextInputDoubleValorEntradaPesquisa.text);
				duplicataFiltro.numeroTotalParcela = ignTextInputNumeroTotalParcelaPesquisa.text == ""?null:ignTextInputNumeroTotalParcelaPesquisa.text;
				return duplicataFiltro;
			}
			
			private function creationCompleteHandler( event: FlexEvent ): void {
				carregarListaValidacao();
				
				var remoteObjectDuplicata: RemoteObject  = AMFConnector.instance.prepararObjetoRemoto("duplicataService", listarResultHandler);	
				
				var remoteObjectUsuario: RemoteObject  = AMFConnector.instance.prepararObjetoRemoto("usuarioService", listarUsuarioPesquisaResultHandler);	
				remoteObjectUsuario.getOperation("listar").send();
				var remoteObjectEmpresaFisica: RemoteObject  = AMFConnector.instance.prepararObjetoRemoto("empresaFisicaService", listarEmpresaFisicaPesquisaResultHandler);	
				remoteObjectEmpresaFisica.getOperation("listar").send();
				var remoteObjectVendedor: RemoteObject  = AMFConnector.instance.prepararObjetoRemoto("vendedorService", listarVendedorPesquisaResultHandler);	
				remoteObjectVendedor.getOperation("listar").send();
				
				var duplicataFiltro: Duplicata = new Duplicata();
				remoteObjectDuplicata.getOperation("listarPaginadoPorObjetoFiltro").send(pageSize, 1, duplicataFiltro); 
			}
			
			protected function titlewindowCloseHandler(event:CloseEvent):void
			{
				UPCPopUpManager.instance.removePopUp(this);
			}
			
			// ---------------------------------- RETORNO DA FUNCAO LISTAR  --------------------------------	
			
			private function listarResultHandler( event: ResultEvent ): void {
				var paginaDuplicata: Page = event.result as Page;
				pageNumber = paginaDuplicata.pageNumber;
				totalRecords = paginaDuplicata.totalRecords;
				lastPage = paginaDuplicata.lastPage();
				listaDuplicata = paginaDuplicata.recordList;
				labelPaginaAtual.text = "" + paginaDuplicata.pageNumber;
				labelTotalRegistro.text = "Total de Registros " + paginaDuplicata.totalRecords;
				buttonFiltrar.enabled = true;
			}
			
			// CARREGANDO COMBOS			
			private function listarUsuarioPesquisaResultHandler( event: ResultEvent ): void 
			{
				listaUsuarioPesquisa = event.result as ArrayCollection;
				listaUsuarioPesquisa.addItemAt(null, 0);
			}
			private function listarEmpresaFisicaPesquisaResultHandler( event: ResultEvent ): void 
			{
				listaEmpresaFisicaPesquisa = event.result as ArrayCollection;
				listaEmpresaFisicaPesquisa.addItemAt(null, 0);
			}
			private function listarVendedorPesquisaResultHandler( event: ResultEvent ): void 
			{
				listaVendedorPesquisa = event.result as ArrayCollection;
				listaVendedorPesquisa.addItemAt(null, 0);
			}
			
			// ---------------------------------- ADICIONAR DINAMICAMENTE  --------------------------------				
			
			
			
			
			
			// -------------FUNCAO DE FILTRAR  -------------------------------------------------------			
			
			private function buttonFiltrarClickHandler( event: MouseEvent ): void {
				buttonFiltrar.enabled = false;
				if (validar(event))
				{
					var remoteObjectDuplicata: RemoteObject  = AMFConnector.instance.prepararObjetoRemoto("duplicataService", listarResultHandler);	
					remoteObjectDuplicata.getOperation("listarPaginadoPorObjetoFiltro").send(pageSize, 1, montarObjetoFiltro());
				}	 
				else
				{
					buttonFiltrar.enabled = true;
				}
			}
			
			// -------------FUNCOES DE INSERIR E ATUALIZAR  -------------------------------------------------------			
			
			private function buttonInserir_clickHandler( event: MouseEvent): void 
			{
				var duplicataComponenteCadastro: DuplicataComponenteCadastro = new DuplicataComponenteCadastro();
				duplicataComponenteCadastro.duplicata = new Duplicata(); 
				duplicataComponenteCadastro.addEventListener("DuplicataIncluidoEvent", atualizarListaDuplicataPorInclusaoResultHandler);
				UPCPopUpManager.instance.addPopUp(duplicataComponenteCadastro, this, true);
				UPCPopUpManager.instance.centerWindow(duplicataComponenteCadastro);
			}
			
			protected function buttonFechar_clickHandler(event:MouseEvent):void
			{
				var duplicataSelecionado: Duplicata = datagridListaDuplicata.selectedItem as Duplicata;
				this.dispatchEvent(new ResultEvent("DuplicataSelecionadoEvent",false, true, duplicataSelecionado, null, null));
				UPCPopUpManager.instance.removePopUp(this);
			}
			
			protected function datagridListaDuplicata_doubleClickHandler(event:MouseEvent):void
			{
				duplicataComponenteDetalhe = new DuplicataComponenteDetalhe();
				duplicataComponenteDetalhe.duplicata = datagridListaDuplicata.selectedItem as Duplicata;
				duplicataComponenteDetalhe.addEventListener("DuplicataExcluidoEvent", atualizarListaDuplicataPorExclusaoResultHandler);
				duplicataComponenteDetalhe.addEventListener("DuplicataAtualizadoEvent", atualizarListaDuplicataPorAtualizacaoResultHandler);
				UPCPopUpManager.instance.addPopUp(duplicataComponenteDetalhe, this, true);
				UPCPopUpManager.instance.centerWindow(duplicataComponenteDetalhe);
			}
			
			
			private function atualizarListaDuplicataPorInclusaoResultHandler(e:Event):void
			{
				var remoteObjectDuplicata: RemoteObject  = AMFConnector.instance.prepararObjetoRemoto("duplicataService", listarResultHandler);	
				remoteObjectDuplicata.getOperation("listarPaginadoPorObjetoFiltro").send(pageSize, lastPage, montarObjetoFiltro()); 
			}
			
			private function atualizarListaDuplicataPorAtualizacaoResultHandler(e:Event):void
			{
				var remoteObjectDuplicata: RemoteObject  = AMFConnector.instance.prepararObjetoRemoto("duplicataService", listarResultHandler);	
				remoteObjectDuplicata.getOperation("listarPaginadoPorObjetoFiltro").send(pageSize, pageNumber, montarObjetoFiltro()); 
				
			}
			
			
			private function atualizarListaDuplicataPorExclusaoResultHandler(e:Event):void
			{
				var remoteObjectDuplicata: RemoteObject  = AMFConnector.instance.prepararObjetoRemoto("duplicataService", listarResultHandler);	
				remoteObjectDuplicata.getOperation("listarPaginadoPorObjetoFiltro").send(pageSize, pageNumber, montarObjetoFiltro()); 
			}
			
			
			
			
			
			// -------------FUNCOES DE NAVEGACAO -------------------------------------------------------			
			protected function linkButtonProximaPagina_clickHandler(event:MouseEvent):void
			{
				var remoteObjectDuplicata: RemoteObject  = AMFConnector.instance.prepararObjetoRemoto("duplicataService", listarResultHandler);	
				
				if (pageNumber < lastPage)
				{
					remoteObjectDuplicata.getOperation("listarPaginadoPorObjetoFiltro").send(pageSize, (pageNumber + 1), montarObjetoFiltro());
				}
				else
				{
					remoteObjectDuplicata.getOperation("listarPaginadoPorObjetoFiltro").send(pageSize, lastPage, montarObjetoFiltro());
				}				
			}
			
			protected function linkButtonAnteriorPagina_clickHandler(event:MouseEvent):void
			{
				var remoteObjectDuplicata: RemoteObject  = AMFConnector.instance.prepararObjetoRemoto("duplicataService", listarResultHandler);	
				
				if (pageNumber > 1)
				{
					remoteObjectDuplicata.getOperation("listarPaginadoPorObjetoFiltro").send(pageSize, (pageNumber - 1) , montarObjetoFiltro());
				}
				else
				{
					remoteObjectDuplicata.getOperation("listarPaginadoPorObjetoFiltro").send(pageSize, 1 , montarObjetoFiltro());
				}
			}
			
			protected function linkButtonPrimeiraPagina_clickHandler(event:MouseEvent):void
			{
				var remoteObjectDuplicata: RemoteObject  = AMFConnector.instance.prepararObjetoRemoto("duplicataService", listarResultHandler);	
				remoteObjectDuplicata.getOperation("listarPaginadoPorObjetoFiltro").send(pageSize, 1 , montarObjetoFiltro()); 
			}
			
			protected function linkButtonUltimaPagina_clickHandler(event:MouseEvent):void
			{
				var remoteObjectDuplicata: RemoteObject  = AMFConnector.instance.prepararObjetoRemoto("duplicataService", listarResultHandler);	
				remoteObjectDuplicata.getOperation("listarPaginadoPorObjetoFiltro").send(pageSize, lastPage , montarObjetoFiltro()); 
			}
			
			protected function buttonImprimir_clickHandler(event:MouseEvent):void
			{
				if(datagridListaDuplicata.selectedItem as Duplicata != null)
				{	
					var duplicata:Duplicata = datagridListaDuplicata.selectedItem as Duplicata;
					if(duplicata.pedidoVenda!=null && duplicata.pedidoVenda.planoPagamento.id == FlexGlobals.topLevelApplication.parametrosSistema.getParametro("idPlanoPagamentoValeCalcadoCrediario"))
					{
						var urlReq:URLRequest = new URLRequest(FlexGlobals.topLevelApplication.parametrosSistema.getParametro("URL_SERVLET_RELATORIO"));  
						var param:URLVariables = new URLVariables();
						param.Duplicata = duplicata.id;
						param.classe = "br.com.desenv.nepalign.relatorios.relatorioValeCalcado";
						param.acao = "gerarImpressaoValeCalcadoDuplicata";
						urlReq.data = param;
						navigateToURL(urlReq, "_blank");
					}
					else
					{
						var componenteSelecionaImpressora:DsvFormSelecaoImpressora = new DsvFormSelecaoImpressora();
						componenteSelecionaImpressora.addEventListener("DsvIndicadorImpressoraOkEvent", this.selecionaImpressoraResultHandler);
						componenteSelecionaImpressora.addEventListener("DsvIndicadorImpressoraCancelEvent", this.selecionaImpressoraResultHandler);
						UPCPopUpManager.instance.addPopUp(componenteSelecionaImpressora, this, true);
						PopUpManager.centerPopUp(componenteSelecionaImpressora);
					}
					
				}
			}
			
			protected function selecionaImpressoraResultHandler(event:ResultEvent):void
			{
				try
				{
					if((event.result as Impressora) != null)
						imprimir(event.result as Impressora);
				}
				catch(e:Error)
				{
					Alert.show(e.message);
				}
			}
			
			protected function imprimir(impressora:Impressora):void
			{	
				var duplicata:Duplicata = datagridListaDuplicata.selectedItem as Duplicata;
				if(duplicata.pedidoVenda!= null && 
				duplicata.pedidoVenda.planoPagamento.id == FlexGlobals.topLevelApplication.parametrosSistema.getParametro("idPlanoPagamentoValeCalcadoCrediario"))
				{
					var remoteObjectSalvar: RemoteObject  = AMFConnector.instance.prepararObjetoRemoto("duplicataService");	
					remoteObjectSalvar.getOperation("imprimirDuplicataVale").send(duplicata,impressora); 
				}
				else
				{
					AMFConnector.instance.prepararObjetoRemoto("duplicataService").getOperation("imprimirDuplicata").send(datagridListaDuplicata.selectedItem as Duplicata, null, false, impressora);
				}
			}
			
			protected function buttonPesquisarClientePesquisa_clickHandler(event:MouseEvent):void
			{
				var clienteComponentePesquisa: ClienteComponentePesquisa = new ClienteComponentePesquisa();
				clienteComponentePesquisa.addEventListener("ClienteSelecionadoEvent", atualizarClientePesquisaPorSelecaoResultHandler);
				UPCPopUpManager.instance.addPopUp(clienteComponentePesquisa, this, true);
				UPCPopUpManager.instance.centerWindow(clienteComponentePesquisa);
			}
			
			private function atualizarClientePesquisaPorSelecaoResultHandler(e:ResultEvent):void
			{
				var novoCliente: Cliente = e.result as Cliente;
				dsvCliente.setCliente = novoCliente;
			}
			
			private function formatDate(item:Object,column:DataGridColumn):String
			{
				var dateformatter:DateFormatter = new DateFormatter();
				
				dateformatter.formatString = "DD/MM/YYYY";
				return dateformatter.format(item[column.dataField]);
			}
		]]>
	</fx:Script>
	
	<mx:VBox>
		<mx:Grid styleName="grid" verticalScrollPolicy="auto" horizontalScrollPolicy="auto" >
			<mx:GridRow>
				<mx:GridItem styleName="gridLabel">
					<s:Label id="labelCliente" text="Cliente:" visible="true"/>
				</mx:GridItem>
				<mx:GridItem  id="gridCliente" styleName="gridValor" visible="true" colSpan="3">
					<s:VGroup>
						<s:HGroup>
							<visual:DsvPesquisaCliente id="dsvCliente" widthCampo="500" heightImage="0" widthImage="0" mostrarBiometria="false"/>  
							<s:Button id="buttonPesquisarClientePesquisa" width="30" label="..." click="buttonPesquisarClientePesquisa_clickHandler(event)"/>
						</s:HGroup>
					</s:VGroup>
				</mx:GridItem>
				
				<mx:GridItem styleName="gridLabel">
					<s:Label text="Empresa:"/>
				</mx:GridItem>
				<mx:GridItem styleName="gridValor">
					<s:VGroup>
						<s:Label id="labelValidacaoEmpresaFisicaPesquisa" styleName="labelValidacao" text="{ignComboBoxAutoCompleteEmpresaFisicaPesquisa.errorString}"/>
						<visual:IgnComboBoxAutoComplete id="ignComboBoxAutoCompleteEmpresaFisicaPesquisa" dataProvider="{listaEmpresaFisicaPesquisa}" labelField="razaoSocial" obrigatorio="false" listaValidadorForm="{this.listaValidadorForm}"/>
					</s:VGroup>
				</mx:GridItem>
			</mx:GridRow>
			<mx:GridRow>
				<mx:GridItem styleName="gridLabel">
					<s:Label text="Nº Duplicata:"/>
				</mx:GridItem>
				<mx:GridItem styleName="gridValor">
					<s:VGroup>
						<s:Label id="labelValidacaoNumeroDuplicataPesquisa" styleName="labelValidacao"  text="{ignTextInputIntegerNumeroDuplicataPesquisa.errorString}"/>
						<visual:IgnTextInputInteger id="ignTextInputIntegerNumeroDuplicataPesquisa" obrigatorio="false" listaValidadorForm="{this.listaValidadorForm}"/>
					</s:VGroup>
				</mx:GridItem>
				<mx:GridItem styleName="gridLabel">
					<s:Label text="Vendedor:"/>
				</mx:GridItem>
				<mx:GridItem styleName="gridValor">
					<s:VGroup>
						<s:Label id="labelValidacaoVendedorPesquisa" styleName="labelValidacao" text="{ignComboBoxAutoCompleteVendedorPesquisa.errorString}"/>
						<visual:IgnComboBoxAutoComplete id="ignComboBoxAutoCompleteVendedorPesquisa" dataProvider="{listaVendedorPesquisa}" labelField="nome" obrigatorio="false" listaValidadorForm="{this.listaValidadorForm}"/>
					</s:VGroup>
				</mx:GridItem>	
				<mx:GridItem styleName="gridLabel">
					<s:Label text="Data da Compra:"/>
				</mx:GridItem>
				<mx:GridItem styleName="gridValor">
					<s:VGroup>
						<s:Label id="labelValidacaoDataCompraPesquisa" styleName="labelValidacao" text="{ignTextInputDateDataCompraPesquisa.errorString}"/>
						<visual:IgnTextInputDate id="ignTextInputDateDataCompraPesquisa" obrigatorio="false" listaValidadorForm="{this.listaValidadorForm}"/>
					</s:VGroup>
				</mx:GridItem>
			</mx:GridRow>
			<mx:GridRow>
				<mx:GridItem styleName="gridLabel">
					<s:Label text="Valor Compra:"/>
				</mx:GridItem>
				<mx:GridItem styleName="gridValor">
					<s:VGroup>
						<s:Label id="labelValidacaoValorTotalCompraPesquisa" styleName="labelValidacao" text="{ignTextInputDoubleValorTotalCompraPesquisa.errorString}"/>
						<visual:IgnTextInputDouble id="ignTextInputDoubleValorTotalCompraPesquisa" obrigatorio="false" listaValidadorForm="{this.listaValidadorForm}"/>
					</s:VGroup>
				</mx:GridItem>
				<mx:GridItem styleName="gridLabel">
					<s:Label text="Valor Entrada:"/>
				</mx:GridItem>
				<mx:GridItem styleName="gridValor">
					<s:VGroup>
						<s:Label id="labelValidacaoValorEntradaPesquisa" styleName="labelValidacao" text="{ignTextInputDoubleValorEntradaPesquisa.errorString}"/>
						<visual:IgnTextInputDouble id="ignTextInputDoubleValorEntradaPesquisa" obrigatorio="false" listaValidadorForm="{this.listaValidadorForm}"/>
					</s:VGroup>
				</mx:GridItem>
				<mx:GridItem styleName="gridLabel">
					<s:Label text="Nº de Parcelas:"/>
				</mx:GridItem>
				<mx:GridItem styleName="gridValor">
					<s:VGroup>
						<s:Label id="labelValidacaoNumeroTotalParcelaPesquisa" styleName="labelValidacao" text="{ignTextInputNumeroTotalParcelaPesquisa.errorString}"/>
						<visual:IgnTextInput id="ignTextInputNumeroTotalParcelaPesquisa" obrigatorio="false" listaValidadorForm="{this.listaValidadorForm}"/>
					</s:VGroup>
				</mx:GridItem>
			</mx:GridRow>
			<mx:GridRow>
				<mx:GridItem styleName="gridLabel">
					<s:Label text="Vcto 1ª Prestação:"/>
				</mx:GridItem>
				<mx:GridItem styleName="gridValor">
					<s:VGroup>
						<s:Label id="labelValidacaoDataVencimentoPrimeiraPrestacaoPesquisa" styleName="labelValidacao" text="{ignTextInputDateDataVencimentoPrimeiraPrestacaoPesquisa.errorString}"/>
						<visual:IgnTextInputDate id="ignTextInputDateDataVencimentoPrimeiraPrestacaoPesquisa" obrigatorio="false" listaValidadorForm="{this.listaValidadorForm}"/>
					</s:VGroup>
				</mx:GridItem>
				<mx:GridItem styleName="gridLabel">
					<s:Label text="Usuário:"/>
				</mx:GridItem>
				<mx:GridItem styleName="gridValor">
					<s:VGroup>
						<s:Label id="labelValidacaoUsuarioPesquisa" styleName="labelValidacao" text="{ignComboBoxAutoCompleteUsuarioPesquisa.errorString}"/>
						<visual:IgnComboBoxAutoComplete id="ignComboBoxAutoCompleteUsuarioPesquisa" dataProvider="{listaUsuarioPesquisa}" labelField="nome" obrigatorio="false" listaValidadorForm="{this.listaValidadorForm}"/>
					</s:VGroup>
				</mx:GridItem>
				<mx:GridItem styleName="gridLabel">
					<s:Label text="Nº Nota Fiscal:"/>
				</mx:GridItem>
				<mx:GridItem styleName="gridValor">
					<s:VGroup>
						<s:Label id="labelValidacaoNumeroNotaFiscalPesquisa" styleName="labelValidacao" text="{ignTextInputNumeroNotaFiscalPesquisa.errorString}"/>
						<visual:IgnTextInput id="ignTextInputNumeroNotaFiscalPesquisa" obrigatorio="false" listaValidadorForm="{this.listaValidadorForm}"/>
					</s:VGroup>
				</mx:GridItem>
				<mx:GridItem colSpan="2">
					<s:Spacer/>
				</mx:GridItem>
			</mx:GridRow>		
			<mx:GridRow>
				<mx:GridItem colSpan="4" horizontalAlign="center">
					<s:Spacer/>
				</mx:GridItem>
			</mx:GridRow>
			<mx:GridRow>
				<mx:GridItem horizontalAlign="left" colSpan="2">
					<mx:Button id="buttonImprimir" label="Imprimir Parcelas" click="buttonImprimir_clickHandler(event)"/>
				</mx:GridItem>
				<mx:GridItem colSpan="4" horizontalAlign="right" width="100%">
					<mx:Button id="buttonFiltrar" label="Filtrar" click="buttonFiltrarClickHandler(event)"/>
				</mx:GridItem>
			</mx:GridRow>
			<mx:GridRow>
				<mx:GridItem colSpan="6">
					<s:Spacer/>	
				</mx:GridItem>
			</mx:GridRow>		
			<mx:GridRow>
				<mx:GridItem colSpan="6" horizontalAlign="center">
					<mx:LinkButton id="linkButtonPrimeiraPagina" label="&lt;&lt;" click="linkButtonPrimeiraPagina_clickHandler(event)"/>
					<mx:LinkButton id="linkButtonAnteriorPagina" label="&lt;" click="linkButtonAnteriorPagina_clickHandler(event)"/>
					<mx:Label id="labelPaginaAtual" text=""/>
					<mx:LinkButton id="linkButtonProximaPagina" label="&gt;" click="linkButtonProximaPagina_clickHandler(event)"/>
					<mx:LinkButton id="linkButtonUltimaPagina" label="&gt;&gt;" click="linkButtonUltimaPagina_clickHandler(event)"/>				
				</mx:GridItem>
			</mx:GridRow>
			<mx:GridRow>
				<mx:GridItem colSpan="6" horizontalAlign="center">
					<mx:DataGrid id="datagridListaDuplicata" verticalScrollPolicy="on"  rowCount="10" horizontalScrollPolicy="on" dataProvider="{listaDuplicata}" doubleClick="datagridListaDuplicata_doubleClickHandler(event)" doubleClickEnabled="true"  maxWidth="943" minWidth="943">
						<mx:columns>
							<mx:DataGridColumn visible="false" dataField="id"/>
							<mx:DataGridColumn dataField="empresaFisica.nomeConcatenado" headerText="Empresa" resizable="true" width="75"/>
							<mx:DataGridColumn dataField="cliente.nomeCompleto" headerText="Cliente" resizable="true" width="250"/>
							<mx:DataGridColumn dataField="usuario.login" headerText="Usuário" resizable="true" width="75"/>
							<mx:DataGridColumn dataField="vendedor.nome" headerText="Vendedor" resizable="true" width="100"/>
							<mx:DataGridColumn dataField="numeroDuplicata" headerText="Número da Fatura" resizable="true" width="115"/>
							<mx:DataGridColumn dataField="valorTotalCompra" headerText="Valor Total" resizable="true" width="75"/>
							<mx:DataGridColumn dataField="numeroTotalParcela" headerText="Total de Parcelas" resizable="true" width="110"/>
							<mx:DataGridColumn dataField="dataHoraInclusao" headerText="Data/Hora Inclusão" resizable="true" labelFunction="DsvObjectUtil.formatDate" width="125"/>
						</mx:columns>
					</mx:DataGrid>
				</mx:GridItem>
			</mx:GridRow>	
			<mx:GridRow>
				
				<mx:GridItem colSpan="2" horizontalAlign="left">
					<mx:Label id="labelTotalRegistro" text=""/>
				</mx:GridItem>
				<mx:GridItem colSpan="4" horizontalAlign="right">
					<mx:Button id="buttonInserir" label="Novo" click="buttonInserir_clickHandler(event)" visible="false"/>
					<mx:Button id="buttonFechar" label="Fechar" click="buttonFechar_clickHandler(event)"/>
				</mx:GridItem>	
			</mx:GridRow>
			
		</mx:Grid>
	</mx:VBox>
</s:TitleWindow>
